from setuptools import setup, find_packages
from etude_courbe.constantes_etude_courbe import version

setup(
    name="etude_courbe",
    version=version,
    packages=find_packages(),
    include_package_data=True,
    entry_points={
        'console_scripts': [
            'etude_courbe = etude_courbe.etude_courbe:etude_courbe',
        ]
    },
    install_requires=["libcurses",
                      "libargfunc",
                      "etude_fonction",
                      "documentex",
                      "sympy",
                      "pylatex",
                      "matplotlib",
                      "numpy",
                     ],

    author="David Denoncin",
    author_email="math@denoncin.fr",
    url="math.denoncin.fr",
    description="Génération de corrigés d'étude de courbes",
    classifiers=[
        "Licence :: WTFPL"
    ]
)
